MyGUI::SkinManager Class Reference

`#include <MyGUI_SkinManager.h>`

Inheritance diagram for MyGUI::SkinManager:
[legend]

## Public Member Functions

| SkinManager (const SkinManager &)=delete
SkinManager & | operator= (const SkinManager &)=delete
| SkinManager ()
void | initialise ()
void | shutdown ()
ResourceSkin * | getByName (std::string_view _name) const
bool | isExist (std::string_view _name) const
const std::string & | getDefaultSkin () const
void | setDefaultSkin (std::string_view _value)
Public Member Functions inherited from MyGUI::MemberObsolete< SkinManager >
ResourceSkin * | getSkin (std::string_view _name) const
bool | load (const std::string &_file)
void | loadOldSkinFormat (xml::ElementPtr _node, std::string_view _file, Version _version, std::string_view _tag)

## Static Public Member Functions

static SkinManager & | getInstance ()
static SkinManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 21 of file MyGUI_SkinManager.h.

## Constructor & Destructor Documentation

## SkinManager() [1/2]

MyGUI::SkinManager::SkinManager | ( | const SkinManager & |  | ) |

delete

## SkinManager() [2/2]

MyGUI::SkinManager::SkinManager | ( |  | ) |

Definition at line 25 of file MyGUI_SkinManager.cpp.

## Member Function Documentation

## getByName()

ResourceSkin * MyGUI::SkinManager::getByName | ( | std::string_view | _name | ) | const

Get ResourceSkin by name

Definition at line 80 of file MyGUI_SkinManager.cpp.

## getClassTypeName()

std::string_view MyGUI::SkinManager::getClassTypeName | ( |  | ) |

static

## getDefaultSkin()

const std::string & MyGUI::SkinManager::getDefaultSkin | ( |  | ) | const

Get default skin name. Default skin used when creating widget with skin that doesn't exist.

Definition at line 114 of file MyGUI_SkinManager.cpp.

## getInstance()

SkinManager & MyGUI::SkinManager::getInstance | ( |  | ) |

static

## getInstancePtr()

SkinManager * MyGUI::SkinManager::getInstancePtr | ( |  | ) |

static

## initialise()

void MyGUI::SkinManager::initialise | ( |  | ) |

Definition at line 32 of file MyGUI_SkinManager.cpp.

## isExist()

bool MyGUI::SkinManager::isExist | ( | std::string_view | _name | ) | const

Check if skin with specified name exist

Definition at line 102 of file MyGUI_SkinManager.cpp.

## operator=()

SkinManager & MyGUI::SkinManager::operator= | ( | const SkinManager & |  | ) |

delete

## setDefaultSkin()

void MyGUI::SkinManager::setDefaultSkin | ( | std::string_view | _value | ) |

Set default skin name. Default skin used when creating widget with skin that doesn't exist.

Definition at line 109 of file MyGUI_SkinManager.cpp.

## shutdown()

void MyGUI::SkinManager::shutdown | ( |  | ) |

Definition at line 50 of file MyGUI_SkinManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SkinManager.h
- MyGUI_SkinManager.cpp